function plottingthin(z,y,D,t,P,ASindex)
 N = length(t);
 zmax = sum(t);
 yimg   = abs(y(end));
 yobj   = y(1);% y(1) is object height

 drawGeometry(zmax,yimg,yobj);
 % draw lenses and aperture stop
 for j=2:N
  if j==ASindex
      drawAperture(z(j),D(j));
  else
      drawLens(z(j), D(j), P(j));
  end
 end

 for k = 1:N
   if abs(y(k)) > D(k)/2
       break;
   end
   line([z(k) z(k+1)], [y(k) y(k+1)]);
 end

end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function drawGeometry(zmax,yimg,yobj)
  line([0 zmax], [0 0], 'Color','b');      % optical axis
  line([0 zmax], [0 0], 'Color','b');      % optical axis
  line([0 0],[-yobj yobj],'Color','r');        % OBJ plane
  line([zmax zmax],[-yimg yimg],'Color','r');  % IMA plane
  xlim([-zmax/10 zmax*1.1])
axis equal
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function drawLens(z, diameter, power)
  r = diameter/2;
  line([z z], [-r r], 'LineWidth',1, 'color','k');
  hold on
  if power > 0
      plot(z, r,'k^','MarkerFaceColor','k','MarkerSize',7);
      plot(z,-r,'kV','MarkerFaceColor','k','MarkerSize',7);
  else
      plot(z, r,'kV','MarkerFaceColor','k','MarkerSize',7);
      plot(z,-r,'k^','MarkerFaceColor','k','MarkerSize',7);
  end
  hold off
  
end
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
function drawAperture(z, y)
  line([z z], [-y/2 -y], 'LineWidth',1, 'color','k');
  line([z z], [+y/2 +y], 'LineWidth',1, 'color','k');
end
